<?php

namespace App\Model\Street;

use App\Key\K;
use EasySwoole\Component\TableManager;

class StreetDataTableList extends Base
{
    protected $updateTime = false;
    protected $autoTimeStamp = true;
    protected $pk = 'id';
    protected $tableName = 'street_data_table_list';
    protected $tableField = [
        'id' => [],
        'name' => ['type' => 'string'],
        'done' => [],
    ];

    protected $operation = [
        'add' => [
            'field' => '*',
        ],
        'edit' => [
            'field' => '*'
        ],
        'search' => [
            'field' => ['pid', 'server_id', 'ip', 'status', 'forbidden_server_id', 'title']
        ]
    ];

    protected $validate = [
        'title' => 'require',
    ];

    protected $validateMessage = [
        'title.require' => '标题不可以为空',
    ];

    public static function getNextTableName()
    {
        $data = static::create()->where(['done' => 0,'status'=>1])->order('id', 'ASC')->get();
        if (!$data) return [];
        return $data->toArray();
//        $table=TableManager::getInstance()->get(K::TABLE_SYSTEM_CONFIG);
//        $currentTable=$table->get(K::KEY_CONFIG_STREET_TABLE_NAME);
//        if (!$currentTable){
//
//            $table->set(K::KEY_CONFIG_STREET_TABLE_NAME,['data'=>json_encode($currentTable),'number'=>0]);
//        }else{
//            $currentTable=json_decode($currentTable['data'],true);
//        }
//        return $currentTable;
    }
}
